inherit allarch
HOMEPAGE = "https://github.com/Jumperr-labs/python-gatt-server"
SRCREV = "a39ef9773e9ba845f4303b1dfd2efddf24b02238"
PR = "r0"

S = "${WORKDIR}/git"

LICENSE = "GPLv2"
LIC_FILES_CHKSUM = "file://LICENSE;md5=c53d04442d1a229d62549856b7ec456a"

SRC_URI = "git://github.com/Jumperr-labs/python-gatt-server.git;protocol=https"

RDEPENDS_${PN} += "python3-dbus python3-pygobject"

DBTEXEC = "${libexecdir}/bluetooth/"
DEST = "${D}${DBTEXEC}"

FILES_${PN} = "${DBTEXEC}"


do_install_append() {
	install -d ${DEST}/${PN}
	install -m 0755 ${S}/*.py ${DEST}/${PN}
}
