FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}-mlinux:"

SRC_URI += "file://ssh.default \
            file://sshd \
            file://sshd_config \
            file://sshd_check_keys"

KEYFILES = "ssh_host_dsa_key \
ssh_host_dsa_key.pub \
ssh_host_ecdsa_key \
ssh_host_ecdsa_key.pub \
ssh_host_rsa_key \
ssh_host_rsa_key.pub \
ssh_host_ed25519_key \
ssh_host_ed25519_key.pub \
"

PACKAGECONFIG = ""

do_install_append() {
  
  echo "HostKey /var/run/ssh/ssh_host_dsa_key" >> ${D}${sysconfdir}/ssh/sshd_config_readonly

  install -d ${D}${sysconfdir}/default
  install -m 644 ${WORKDIR}/ssh.default ${D}${sysconfdir}/default/ssh
  for f in ${KEYFILES}; do
    ln -sf /var/config/ssh/$f ${D}${sysconfdir}/ssh/$f
  done
}
CONFFILES_${PN}-sshd += "${sysconfdir}/init.d/sshd"
