DESCRIPTION = "OverlayFS init"
HOMEPAGE = "http://www.multitech.com/"
LICENSE = "MIT"
LIC_FILES_CHKSUM = "file://${COREBASE}/meta/COPYING.MIT;md5=3da9cfbcb788c80a0384361b4de20420"
PACKAGE_ARCH = "all"
PR = "r5"
RDEPENDS_${PN} += "bash"

SRC_URI = " \
            file://overlayfs.init \
"

inherit allarch
inherit update-rc.d

INITSCRIPT_NAME = "overlayfs"
INITSCRIPT_PARAMS = "start 01 S ."

do_install() {
  install -d ${D}/${sysconfdir}/init.d
  install -m 0755 ${WORKDIR}/overlayfs.init ${D}/${sysconfdir}/init.d/overlayfs
}
