FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"
RDEPENDS_${PN} += "bash"

PR .= ".mlinux8"

# add custom rules for persistent modem device names
SRC_URI += "file://cellular_radios.rules \
            file://cellular_radios.sh \
            file://${MACHINE}.rules"

do_install_append() {
    install -m 644 ${WORKDIR}/cellular_radios.rules ${D}${sysconfdir}/udev/rules.d/
    install -m 644 ${WORKDIR}/${MACHINE}.rules ${D}${sysconfdir}/udev/rules.d/
    install -d ${D}${sysconfdir}/udev/scripts
    install -m 755 ${WORKDIR}/cellular_radios.sh ${D}${sysconfdir}/udev/scripts/
}


