PR .= ".mlinux3"

FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}:"

SRC_URI += "file://logrotate.conf"

# consider Systemd here someday.  Also prevent logrotate from starting if it is already running
# use startdaemon?
do_install_append() {
	# setup cron to run logrotate more often
	rm -f ${D}${sysconfdir}/cron.daily/logrotate
	install -d ${D}${sysconfdir}/cron.d
	echo "*/5 * * * * root /usr/sbin/logrotate /etc/logrotate.conf" > ${D}${sysconfdir}/cron.d/logrotate

	install -m 0644 ${WORKDIR}/logrotate.conf ${D}${sysconfdir}/
}

