DESCRIPTION = "MultiTech Core C++ Library"
HOMEPAGE = "http://www.multitech.net/"
LICENSE = "LGPL-2.1"
LIC_FILES_CHKSUM = "file://LICENSE;md5=4fbd65380cdd255951079008b364516c"

DEPENDS = "cmake-native cppunit"
BBCLASSEXTEND = "native nativesdk"

PR = "r1"
SRCREV = "${PV}"
SRC_URI = "git://git.multitech.net/libmts;branch=master"

S = "${WORKDIR}/git"

do_compile() {
	oe_runmake
}

# build and run tests for native recipe
do_compile_append_virtclass-native() {
	cd test
	cmake .
	oe_runmake
	./TestRunnerClient
}

do_install() {
	oe_runmake install DESTDIR=${D}
}

