DESCRIPTION = "Quectel modem flashing tool"
LICENSE = "Proprietary"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/Proprietary;md5=0557f9d92cf58f2ccdd50f62f8ac0b28"

PR = "r0"

SRC_URI = "https://www.multitech.net/downloads/${PN}-${PACKAGE_ARCH}-${PV}-${PR}.tar.gz;name=${PACKAGE_ARCH}"
SRC_URI[arm926ejste.md5sum] = "2e304e622b6581bd0f4e8133b59a5d58"
SRC_URI[arm926ejste.sha256sum] = "a835acd64c79eb7839dbb7ee1e9da0c3b4d7333d7660f45755b3a2ab89205a84"
SRC_URI[armv7vet2hf-neon.md5sum] = "51ee58b0b97945f0540b9d81c1845bc3"
SRC_URI[armv7vet2hf-neon.sha256sum] = "f35c7373594b46409f5407600fdd33b5e836d1e7dcfd2be85bb406d6b03ecde0"

do_install() {
    install -d ${D}${sbindir}
    echo "do_install: directory is $(pwd)"
    install -m 0755 ${WORKDIR}/${PN}-${PACKAGE_ARCH}-${PV}-${PR}/${sbindir}/* ${D}${sbindir}
}

FILES_${PN} = "${sbindir}"
