DESCRIPTION = "Telit utility for upgrading CAT4 radio firmware"
HOMEPAGE = "https://contact.telit.com/"
LICENSE = "Proprietary"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/Proprietary;md5=0557f9d92cf58f2ccdd50f62f8ac0b28"

DEPENDS = "libusb1 udev"

PR = "r1"
SRCREV = "${PV}"

SRC_URI = " \
        git://git@${MTS_INTERNAL_GIT}/vendor-code/uxfp.git;protocol=ssh;branch=master \
        file://0002-uxfp-add-param-syslog.patch \
"

S = "${WORKDIR}/git"

do_compile() {
        oe_runmake
}

do_install() {
        install -d ${D}${sbindir}
        install -m 0755 uxfp/linux/uxfp ${D}${sbindir}
}

