DESCRIPTION = "Telit LXFP modem flashing tool"
LICENSE = "Proprietary"
LIC_FILES_CHKSUM = "file://${COMMON_LICENSE_DIR}/Proprietary;md5=0557f9d92cf58f2ccdd50f62f8ac0b28"
RDEPENDS_${PN} += "libudev libusb1"

PR = "r1"

SRC_URI = "https://www.multitech.net/downloads/uxfp-${PACKAGE_ARCH}-${PV}-${PR}.tar.gz;name=${PACKAGE_ARCH}"
SRC_URI[arm926ejste.md5sum] = "a9ab48db1a710237e7269add4e4981bd"
SRC_URI[arm926ejste.sha256sum] = "7f7ba9dee4c31480f41dcca87c4411189f3f5db169edd88ead345c2eef79f39b"
SRC_URI[armv7vet2hf-neon.md5sum] = "ed5fe90aa818b53a77e0ac6df1ac01e5"
SRC_URI[armv7vet2hf-neon.sha256sum] = "6adf2e3b7c52747e3bf32e2092ac234aac57feaa9838f4215e24479cfe728eb3"

do_install() {
    install -d ${D}${sbindir}
    echo "do_install: directory is $(pwd)"
    install -m 0755 ${WORKDIR}/${PN}-${PACKAGE_ARCH}-${PV}-${PR}/${sbindir}/uxfp ${D}${sbindir}
}

FILES_${PN} = "${sbindir}"
