FILESEXTRAPATHS_prepend := "${THISDIR}/${PN}-mlinux:"

SRC_URI += "file://mosquitto.conf \
            file://mosquitto.default \
            file://mosquitto.logrotate.conf \
            "
RDEPENDS_${PN} += "logrotate"

INITSCRIPT_PARAMS = "defaults 70 30"

EXTRA_OECMAKE += " -DWITH_STATIC_LIBRARIES=ON"

do_install_append() {
    install -d ${D}${sysconfdir}/mosquitto
    install -m 0644 ${WORKDIR}/mosquitto.conf ${D}${sysconfdir}/mosquitto/
    
    install -d ${D}${sysconfdir}/default
    install -m 0644 ${WORKDIR}/mosquitto.default ${D}${sysconfdir}/default/mosquitto

    install -d ${D}${sysconfdir}/logrotate.d
    install -m 0644 ${WORKDIR}/mosquitto.logrotate.conf ${D}${sysconfdir}/logrotate.d/mosquitto.conf
}



PACKAGES += "${PN}-python"

CONFFILES_${PN} = "${sysconfdir}/mosquitto.conf ${sysconfdir}/default/mosquitto"

FILES_${PN} += "${sysconfdir}/default \
                ${sysconfdir}/logrotate.d \
               "

FILES_${PN}-staticdev += "${libdir}/libmosquitto.a"

FILES_${PN}-python = "/usr/lib/python2.7/site-packages"